--- layout: api title: "v2.1.5 JavaScript Library: L.mapbox.simplestyle.style(feature)" categories: api version: v2.1.5 permalink: /api/v2.1.5/l-mapbox-simplestyle-style ---

## L.mapbox.simplestyle.style(feature)

Given a GeoJSON Feature with optional simplestyle-spec properties, return an options object formatted to be used as Leaflet Path options.

Options | Value | Description
--- | --- | ---
feature | object | A GeoJSON feature object

Examples:

    L.geoJson(geoJson, {
        pointToLayer: L.mapbox.simplestyle.style,
    });

A working example of L.mapbox.simplestyle in use

Returns:

An object formatted to be used as Leaflet Path options.